## pepper polish-0.0.5

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

# name of the project is PEPPER
PROJECT(pepper)
set (CMAKE_CXX_FLAGS "-fPIC -O3 -pipe")
set (CMAKE_C_FLAGS "-fPIC -O3 -pipe -shared -rdynamic")

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)

FIND_PACKAGE(PythonInterp 3 REQUIRED)
FIND_PACKAGE(PythonLibs 3 REQUIRED)

if (PYTHONINTERP_FOUND)
    message("Python found")
else()
    message("Python not found")
endif()

# enable installing dependencies
option(INSTALL_DEPENDENCIES
        "Install project dependencies"
        ON)

INCLUDE(pepper/modules/htslib.cmake)
INCLUDE(pepper/modules/pybind11.cmake)

# pybind11 to interface
pybind11_add_module(PEPPER pepper/modules/src/pybind_api.cpp)

add_dependencies(PEPPER htslib)

# add all the external libraries
target_link_libraries(PEPPER PRIVATE z)
target_link_libraries(PEPPER PRIVATE bz2)
target_link_libraries(PEPPER PRIVATE curl)
target_link_libraries(PEPPER PRIVATE lzma)
target_link_libraries(PEPPER PRIVATE ${HTSLIB_SRC_DIR}/libhts.a)

#-------------------
# Test
#-------------------
#ENABLE_TESTING()
#ADD_SUBDIRECTORY(modules/unit_tests)

=== requirements.txt ===
h5py
tqdm
numpy
wget
torch
torchvision
torchnet
pyyaml
onnx
onnxruntime
hyperopt

## pepper 0.3.2

=== debian/changelog ===
pepper (0.3.2-3) unstable; urgency=low

  [Stefano Rivera]
  * Build with the ld --as-needed option (Closes: #692504)

  [Antoine Beaupré]
  * update standards version to 3.9.4, no change
  * Add missing dependencies on gnuplot, fixing: "Missing recommends
    dependency on gnuplot-x11", thanks to Carlos Alberto Lopez Perez for
    flagging this one (Closes: #686232).

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2013 22:07:53 -0400

pepper (0.3.2-2) unstable; urgency=low

  * Add missing copyright information for some tests, spotted by the
    Luca Falavigna (thanks!).

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 15 Aug 2012 20:38:05 -0400

pepper (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #684549)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 10 Aug 2012 22:14:35 -0400

=== debian/control ===
Source: pepper
Section: vcs
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), autotools-dev, zlib1g-dev, lua5.1, liblua5.1-dev, git, gnuplot, python-dev, mercurial, libsvn-dev (>= 1.5), asciidoc, xmlto
Standards-Version: 3.9.4
Homepage: http://scm-pepper.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/pepper.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pepper.git;a=summary

Package: pepper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g, lua5.1, gnuplot
Recommends: git, mercurial, libsvn1 (>= 1.5), gnuplot-x11
Description: Source code repository statistics and report tool
 pepper is a flexible command-line tool for retrieving statistics and
 generating reports from source code repositories. It ships with
 several graphical and textual reports, and is easily extendable using
 the Lua scripting language. pepper includes support for multiple
 version control systems, including Git and Subversion. Using native
 language bindings, multi-threading and a local revision cache, it
 provides fast access to repository data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@  --with autotools-dev

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/scm-pepper/pepper-(.*)\.tar\.gz

## pepper 0.3.3

=== debian/changelog ===
pepper (0.3.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * remove python dependency, dropping mercurial support until it gets py3
    support (Closes: #937273)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 30 Mar 2020 13:44:24 -0400

pepper (0.3.3-3) unstable; urgency=medium

  * reduce dependency on ascii-doc (Closes: #850383)
  * update standards version, no change
  * update to debhelper 10, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 10 Jan 2017 15:02:44 -0500

pepper (0.3.3-2) unstable; urgency=medium

  * rebuild to properly ship binary content (Closes: #810721)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 13 Jan 2016 15:53:33 -0500

pepper (0.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #796466)
  * Update standards version to 3.9.6, no change
  * Update watch and homepage URLs to follow upstream move to github
  * Drop ld --as-needed patch, integrated upstream

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 14 Dec 2015 21:39:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,23 @@
 Section: vcs
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), autotools-dev, zlib1g-dev, lua5.1, liblua5.1-dev, git, gnuplot, python-dev, mercurial, libsvn-dev (>= 1.5), asciidoc, xmlto
-Standards-Version: 3.9.4
-Homepage: http://scm-pepper.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/pepper.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pepper.git;a=summary
+Build-Depends: debhelper (>= 10~)
+             , dpkg-dev (>= 1.16.1~)
+             , dh-autoreconf
+             , autotools-dev
+             , zlib1g-dev
+             , lua5.1
+             , liblua5.1-dev
+             , git
+             , gnuplot
+             , mercurial
+             , libsvn-dev (>= 1.5)
+             , asciidoc-base
+             , xmlto
+Standards-Version: 3.9.8
+Homepage: http://jgehring.github.io/pepper/
+Vcs-Git: https://salsa.debian.org/debian/pepper.git
+Vcs-Browser: https://salsa.debian.org/debian/pepper
 
 Package: pepper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@  --with autotools-dev
+	dh $@  --with autotools-dev,autoreconf

## pepper polish-0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,10 +32,34 @@
 
 # add all the external libraries
 target_link_libraries(PEPPER PRIVATE z)
-target_link_libraries(PEPPER PRIVATE bz2)
-target_link_libraries(PEPPER PRIVATE curl)
-target_link_libraries(PEPPER PRIVATE lzma)
+#target_link_libraries(PEPPER PRIVATE bz2)
+#target_link_libraries(PEPPER PRIVATE curl)
+#target_link_libraries(PEPPER PRIVATE lzma)
 target_link_libraries(PEPPER PRIVATE ${HTSLIB_SRC_DIR}/libhts.a)
+
+# PEPPER_SNP
+pybind11_add_module(PEPPER_SNP pepper_snp/modules/src/pybind_api.cpp)
+
+add_dependencies(PEPPER_SNP htslib)
+
+# add all the external libraries
+target_link_libraries(PEPPER_SNP PRIVATE z)
+#target_link_libraries(PEPPER_SNP PRIVATE bz2)
+#target_link_libraries(PEPPER_SNP PRIVATE curl)
+#target_link_libraries(PEPPER_SNP PRIVATE lzma)
+target_link_libraries(PEPPER_SNP PRIVATE ${HTSLIB_SRC_DIR}/libhts.a)
+
+# PEPPER_HP
+pybind11_add_module(PEPPER_HP pepper_hp/modules/src/pybind_api.cpp)
+
+add_dependencies(PEPPER_HP htslib)
+
+# add all the external libraries
+target_link_libraries(PEPPER_HP PRIVATE z)
+#target_link_libraries(PEPPER_HP PRIVATE bz2)
+#target_link_libraries(PEPPER_HP PRIVATE curl)
+#target_link_libraries(PEPPER_HP PRIVATE lzma)
+target_link_libraries(PEPPER_HP PRIVATE ${HTSLIB_SRC_DIR}/libhts.a)
 
 #-------------------
 # Test

=== requirements.txt ===
h5py==2.10.0
tqdm==4.38.0
numpy==1.16.6
wget==3.2
torch==1.4.0
torchvision==0.5.0
onnx==1.6.0
onnxruntime==1.3.0
hyperopt==0.2
cython>=0.29.12
pyyaml
torchnet
intervaltree
pysam
